class Logger {
  /**
   * specify prefix
   * @param {string} prefix
   */
  constructor(prefix) {
    this._prefix = prefix;
  }

  _isEmpty(value) {
    return value === null || value === undefined || value === '';
  }

  _baseLog(method = 'log', ...args) {
    if (typeof console[method] === 'function') {
      const messages = [...args];

      if (!this._isEmpty(this._prefix)) {
        messages.unshift(this._prefix, ':');
      }

      console[method](...messages);
    }
  }

  log(...args) {
    this._baseLog('log', ...args);
  }

  warn(...args) {
    this._baseLog('warn', ...args);
  }

  error(...args) {
    this._baseLog('error', ...args);
  }

  info(...args) {
    this._baseLog('info', ...args);
  }

}

export default Logger;