import _includesInstanceProperty from "@babel/runtime-corejs3/core-js-stable/instance/includes";
import _indexOfInstanceProperty from "@babel/runtime-corejs3/core-js-stable/instance/index-of";
import _spliceInstanceProperty from "@babel/runtime-corejs3/core-js-stable/instance/splice";
import classnames from 'classnames';
import { split, filter, map } from 'lodash-es';

function addClass(rawCls, ...srcClss) {
  const clss = split(rawCls, /\s+/);
  const validClss = filter(srcClss, cls => !_includesInstanceProperty(clss).call(clss, cls));
  return classnames(rawCls, ...validClss);
}

function removeClass(rawCls, ...srcClss) {
  const clss = split(rawCls, /\s+/);
  map(srcClss, cls => {
    const index = _indexOfInstanceProperty(clss).call(clss, cls);

    if (index > -1) {
      _spliceInstanceProperty(clss).call(clss, index, 1);
    }
  });
  return classnames(...clss);
}

export { addClass, removeClass };