import _reduceInstanceProperty from "@babel/runtime-corejs3/core-js-stable/instance/reduce";
import isHTMLElement from './isElement';
/**
 *
 * @param {HTMLElement} parentNode
 * @param  {...HTMLElement} nodes
 *
 * @param {HTMLElement}
 */

export function append(parentNode, ...nodes) {
  for (const node of nodes) {
    parentNode.appendChild(node);
  }

  return parentNode;
}
/**
 *
 * @param {HTMLElement} parentNode
 * @param  {...HTMLElement} nodes
 *
 * @param {HTMLElement}
 */

export function prepend(parentNode, ...nodes) {
  if (parentNode.children && parentNode.children.length) {
    const firstNode = parentNode.children[0];

    for (const node of nodes) {
      parentNode.insertBefore(node, firstNode);
    }
  } else {
    append(parentNode, ...nodes);
  }

  return parentNode;
}
/**
 *
 * @param {DOMRect} domRect
 * @returns {object|undefined}
 */

export function convertDOMRectToObject(domRect) {
  if (domRect && typeof domRect === 'object') {
    if (typeof domRect.toJSON === 'function') {
      return domRect.toJSON();
    } else {
      const keys = ['left', 'top', 'right', 'bottom', 'width', 'height'];
      return _reduceInstanceProperty(keys).call(keys, (obj, key) => {
        obj[key] = domRect[key];
        return obj;
      }, {});
    }
  }

  return undefined;
}
export { isHTMLElement };